/* eslint-disable react-hooks/exhaustive-deps */
import { Checkbox, Modal, Space } from "antd";
import { Store } from "antd/lib/form/interface";
import "./index.less";
import ReactECharts from 'echarts-for-react';
import { inject, observer } from "mobx-react";
import { useEffect, useState } from "react";
const Dashbord = (props: Store) => {
  const { usrStore } = props;
  const [isModalOpen, setIsModalOpen] = useState(false)
  const [plainOptions, setOption] = useState();
  const [check, setCheck] = useState([])
  const options = {
    grid: { top: 8, right: 8, bottom: 24, left: 36 },
    xAxis: {
      type: 'category',
      data: ['Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat', 'Sun'],
    },
    yAxis: {
      type: 'value',
    },
    series: [
      {
        data: [820, 932, 901, 934, 1290, 1330, 1320],
        type: 'line',
        smooth: true,
      },
    ],
    tooltip: {
      trigger: 'axis',
    },
  };
  useEffect(() => {
    getColumn()
    getHead()
  }, [])

  const getHead = async () => {
    const res = await usrStore.getHead()
    if (res.length > 0) {
      res.forEach((element) => {
        element.label = element.data_name;
        element.value = element.identity;
        element.editable = true;
      });
      setOption(res)
    }
  }

  const getColumn = async () => {
    const res = await usrStore.getUsed()
    if (res.length === 0) {
      console.log(res)
      setIsModalOpen(true)
    }
  }

  const onChange = (checkedValues) => {
    setCheck(checkedValues)
  };

  const handleOk = async () => {
    const res = await usrStore.setUsed({ identitys: check })
    console.log(res)
  }
  return (
    <div className="contentBox">
      <Space direction="vertical" size="middle" style={{ display: "flex" }}>
        <ReactECharts option={options} />
      </Space>
      <Modal
        title={"常用列设置"}
        width={600}
        height={600}
        open={isModalOpen}
        onOk={handleOk}
        okText="确定"
        cancelText="取消"
        onCancel={() => {
          setIsModalOpen(false);
        }}
      >
        <Checkbox.Group options={plainOptions} defaultValue={[]} onChange={onChange} />
      </Modal>
    </div>
  );
};
export default inject("usrStore")(observer(Dashbord));
