import BTable from "@/components/b_table";
import { Store } from "antd/es/form/interface";
import { inject, observer } from "mobx-react";
import { columns } from "./config";
import { useEffect } from "react";

const MuShare = (props: Store) => {
    const { shareStore } = props;
    useEffect(() => {
        shareStore.getlist();
    }, [shareStore]);
    return <BTable
        store={shareStore}
        scroll={{ x: "max-content" }}
        columns={columns}
        btnText="添加人员"
        dataSource={shareStore.list}
        deleteCallback={(record) => {
            shareStore.deleteItem(record);
        }}
    />
}

export default inject("shareStore")(observer(MuShare));