import { FormType } from "@/components/form/interface";
import SimpleForm from "@/components/form/simple_form"
import { CompanyConfig } from "@/service/user_config";

const Share = (props) => {
    const { submit, formRef } = props

    const onFinish = () => {
        submit(formRef.current?.getFieldsValue())
    }
    const config: any = [
        {
            type: FormType.radio,
            label: "分享类型",
            name: "share_type",
            value: "",
            radioData: [{ key: "事件", val: 1 }, { key: "属性", val: 2 }],
            rules: [{ required: true, message: "请选择默认数据" }],
        },
        {
            type: FormType.treeSelect,
            label: "分享至",
            name: "company_identity",
            value: 0,
            selectUrl: CompanyConfig.LIST,
            keys: "name",
            rules: [{ required: true, message: "单位不能为空" }],
        },
    ]
    return (
        <SimpleForm
            formName={"user_form"}
            formRef={formRef}
            colProps={25}
            onFinish={onFinish}
            createCallback={() => {

            }}
            formDatas={config}
        ></SimpleForm>
    )
}

export default Share